[Setup]
AppName=Wygaszacz Koral
AppVerName=Wygaszacz Koral 1.0
AppPublisher=P.P.L. Koral
AppPublisherURL=www.koral.com.pl
AppSupportURL=koral@koral.com.pl
AppUpdatesURL=www.koral.com.pl
DefaultDirName={pf}\Wygaszacz Koral
DefaultGroupName=Wygaszacz Koral
AllowNoIcons=yes
AlwaysCreateUninstallIcon=yes
LicenseFile=
InfoBeforeFile=
InfoAfterFile=
MinVersion=4,3.51
WizardStyle=modern

[Tasks]
Name: "internet"; Description: "Create a &internet shortcut"; GroupDescription: "Create shortcuts:"; 
Name: "readme"; Description: "Create a &readme shortcut"; GroupDescription: "Create shortcuts:"; Flags: unchecked
Name: "uninstall"; Description: "Create a &uninstall shortcut"; GroupDescription: "Create shortcuts:"; Flags: unchecked
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Create shortcuts:"; MinVersion: 4,4; Flags: unchecked
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Create shortcuts:"; MinVersion: 4,4; Flags: unchecked

[Files]
Source: "S:\koral\wygaszacz\instalkaSWFKit\Koral\Screen saver\Koral.scr"; DestDir: "{sys}"; CopyMode: normal

[INI]
Filename: "{app}\Koral.url"; Section: "InternetShortcut"; Key: "URL"; String: "www.koral.com.pl"

[Icons]
Name: "{group}\Wygaszacz Koral"; Filename: "{sys}\Koral.scr"; Parameters: "-s"
Name: "{group}\Wygaszacz Koral on the Web"; Filename: "{app}\Koral.url"; Tasks: internet
Name: "{group}\Read me"; Filename: "{app}\readme.txt"; Tasks: readme
Name: "{group}\Uninstall Wygaszacz Koral"; Filename: "{app}\unins000.exe"; Flags: createonlyiffileexists; Tasks: uninstall
Name: "{userdesktop}\Wygaszacz Koral"; Filename: "{sys}\Koral.scr"; Parameters: "-s"; MinVersion: 4,4; Tasks: desktopicon
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Wygaszacz Koral"; Filename: "{sys}\Koral.scr"; Parameters: "-s"; MinVersion: 4,4; Tasks: quicklaunchicon

[Run]
Filename: "{sys}\Koral.scr"; Parameters: "-setdefault"; Description: "Set as default screen saver"; Flags: nowait postinstall skipifsilent

[UninstallDelete]
Type: files; Name: "{app}\Koral.url"